Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class VariableManager

    java.lang.Object
      ix.util.match.MatchChoiceManager
          ix.ip2.VariableManager

    public class VariableManager

extends MatchChoiceManager

Nested Class Summary
`protected class` | `VariableManager.FilterMatcher`

Field Summary
`protected ComputeInterpreter` | `computeInterpreter`
`protected boolean` | `MATCH_DEBUG`
`protected Ip2ModelManager` | `modelManager`
`protected boolean` | `noticeForced`

Fields inherited from class ix.util.match.MatchChoiceManager
`changedSinceRecalc, matchChoices, traceDetails`

Constructor Summary
`VariableManager(Ip2ModelManager modelManager)`

Method Summary
`protected boolean` | `consistentBinding(Variable var, java.lang.Object val)`
`boolean` | `consistentBindings(MatchEnv env)`
`java.util.List` | `evalFilters(ix.icore.domain.ListOfConstraint conds, java.util.Map state, MatchEnv env)` Returns a list of MatchEnvs, one for each way in which all of the conditions can be satisfied together.
`protected java.lang.Object` | `fullyInstantiate(java.lang.Object item, MatchEnv env)`
`(package private) ComputeInterpreter` | `getComputeInterpreter()`
`java.util.List` | `getConstraints()`
`void` | `newBindings(java.util.Map bindings)`
`protected MatchEnv` | `noticeForcedBindings()` Called within the variable manager when it notices that some variables have only one possible value remaining.
`void` | `showState()`
`ix.icore.domain.ListOfConstraint` | `testFilters(ix.icore.domain.ListOfConstraint conds, java.util.Map state, MatchEnv env)` Returns a list of the conditions that can be satisfied individually.
`void` | `tryBindings(java.util.Map bindings)`

Methods inherited from class ix.util.match.MatchChoiceManager
`add, clear, getPossibleValues, getPossibleValues, getPossibleValues, getVariables, recalculate, remove, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MATCH_DEBUG

    protected final boolean MATCH_DEBUG

See Also:
  Constant Field Values

### noticeForced

    protected boolean noticeForced

### modelManager

    protected Ip2ModelManager modelManager

### computeInterpreter

    protected ComputeInterpreter computeInterpreter

Constructor Detail

### VariableManager

    public VariableManager(Ip2ModelManager modelManager)

Method Detail

### getComputeInterpreter

    ComputeInterpreter getComputeInterpreter()

### showState

    public void showState()

  Overrides:
    `showState` in class `MatchChoiceManager`

### evalFilters

    public java.util.List evalFilters(ix.icore.domain.ListOfConstraint conds,
                                      java.util.Map state,
                                      MatchEnv env)

  Returns a list of MatchEnvs, one for each way in which all of the conditions can be satisfied together.

### testFilters

    public ix.icore.domain.ListOfConstraint testFilters(ix.icore.domain.ListOfConstraint conds,
                                                        java.util.Map state,
                                                        MatchEnv env)

  Returns a list of the conditions that can be satisfied individually. This is normally called when they cannot all be satisfied together, because the result may help determine what the problem is.

### tryBindings

    public void tryBindings(java.util.Map bindings)

### newBindings

    public void newBindings(java.util.Map bindings)

### getConstraints

    public java.util.List getConstraints()

### noticeForcedBindings

    protected MatchEnv noticeForcedBindings()

  Called within the variable manager when it notices that some variables have only one possible value remaining.

  Overrides:
    `noticeForcedBindings` in class `MatchChoiceManager`

### consistentBindings

    public boolean consistentBindings(MatchEnv env)

### consistentBinding

    protected boolean consistentBinding(Variable var,
                                        java.lang.Object val)

### fullyInstantiate

    protected java.lang.Object fullyInstantiate(java.lang.Object item,
                                                MatchEnv env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD